Vue.component('buy-button', {
  props: ['product', 'variantSku', 'sku', 'buttonClass'],
  data: function () {
    return {

    }
  },
  methods: {
    AddToCart: function () {
      var obj = this;
      var sku =  this.product ? this.product.Sku : this.sku;
      var variantSku = this.product ? this.product.VariantSku : this.variantSku;
      
      axios.post("/Umbraco/Api/Basket/Add", {      
          Sku: sku,
          VariantSku: variantSku == null ? "" : variantSku,
          Quantity: 1      
      }).then(function (response) {
        obj.$root.$emit('openMiniCart');
        obj.$root.$emit('updateMiniCart');
      });

    }
  },
  template: '<button v-bind:class="buttonClass" v-on:click="AddToCart()" class="button add-to-cart"><slot></slot></button>'
});