﻿Vue.component('productlist', {
  props: ['culture', 'productIds', 'siteId'],
  data: function () {
    return {
      products: []
    }
  },
  mounted: function () {
    this.getProducts();
  },
  methods: {
    getProducts: function () {
      var obj = this;
      axios.post("/Umbraco/Api/ProductList/GetProductList", { ProductIds: this.productIds, Culture: this.culture, BaseUrl: "", SiteId: this.siteId }).then(function (response) {
        obj.products = response.data.Products;
      });
    }
  }
});